#!/bin/bash
#Author:Benson
#Blog:http://www.qinzc.me
#Time:2018-12-26 12:48:46
#Name:kcptun.sh
#Version:V1.0
#Description:连接翻墙服务器的KCPTUN服务，实现翻墙加速。


cd /home/qinzc/kcptun/







if [ "$1" == "stop" ];then
     if [ -f pid.file ];then
         kill -9 `cat pid.file`
         rm -fr pid.file
         echo "Kcptun已停止"
        exit 0
     fi

elif [ "$1" == "start" ];then
    ./client_linux_amd64 -l :18080 -r 45.63.55.205:26666 -key "leiyan" -datashard 100 -conn 1 -mtu 1400 -sndwnd 1024 -rcvwnd 2048 -dscp 0 -keepalive 10 -sockbuf 4194304 -mode fast2 >> ./kcptun.log 2>&1 &
    echo "开始连接Kcptun服务端"
    echo "当前PID:"$!                                                                                                                                               
    echo $! > pid.file
    exit 0
elif [ "$1" == "net" ];then
    netstat -lntup|grep 18080
    exit 0
elif [ "$1" == "log" ];then
    tail -20 kcptun.log 
    exit 0
    
elif [ -f "pid.file" ];then                                                                                                                                 
        echo "Kcptun已经运行！error:"`cat pid.file`
        echo "运行：$0 stop 停止程序"
        exit 1

fi
